package com.kbstar.eai.flowcontrol.action;

import com.eactive.eai.flowcontrol.action.RouteActionException;
import com.eactive.eai.flowcontrol.action.RouteActionSupport;
import com.eactive.eai.transformer.function.util.CodeConversion;

public class AppCodeRouteAction extends RouteActionSupport  {
	
	public String[] getRouteKeys(byte[] message) throws Exception {
		
		String[] keys = new String[1];
		int keyIndex = 0;
		try {
			byte[] appCode = new byte[3];
			
			System.arraycopy(message, 0, appCode, 0, appCode.length);
			keys[0] = new String( CodeConversion.seToAsc(appCode) );			
		} catch(Exception e) {
			throw new RouteActionException(this.getClass().getName() +" Error Extract Key("+keyIndex+"): " +e.getMessage());
		}
        return keys;        
	}
	
	public String getDescription() {
		return "키추출방식 : 전문 [0,3]";
	}
}
